[arch-commits] Commit in gtkam/trunk (PKGBUILD gtkam.install)

Jan de Groot jgc at archlinux.org
Thu May 28 18:10:06 EDT 2009


    Date: Thursday, May 28, 2009 @ 18:10:06
  Author: jgc
Revision: 40219

upgpkg: gtkam 0.1.16.1-1
    Clean up a bit

Modified:
  gtkam/trunk/PKGBUILD
Deleted:
  gtkam/trunk/gtkam.install

---------------+
 PKGBUILD      |   17 ++++++++++-------
 gtkam.install |   27 ---------------------------
 2 files changed, 10 insertions(+), 34 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-28 22:07:25 UTC (rev 40218)
+++ PKGBUILD	2009-05-28 22:10:06 UTC (rev 40219)
@@ -1,21 +1,24 @@
+# $Id: $
 # Maintainer: Eduardo Romero <eduardo at archlinux.org>
 
 pkgname=gtkam
-pkgver=0.1.15
+pkgver=0.1.16.1
 pkgrel=1
 pkgdesc="A graphical front-end to gPhoto for GNOME"
 url="http://gphoto.sourceforge.net/proj/gtkam/"
 arch=('i686' 'x86_64')
-depends=('libgphoto2' 'libexif-gtk')
+depends=('libgphoto2>=2.4.6' 'libexif-gtk')
 makedepends=('gimp')
 license=('GPL')
-install=gtkam.install
 source=(http://downloads.sourceforge.net/sourceforge/gphoto/$pkgname-$pkgver.tar.gz)
-md5sums=('6278447dd2f6352809d5378bb88555fc')
+md5sums=('a701a26947e134d883ba8eef0beb7461')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --without-bonobo --without-gnome
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+    --without-bonobo --without-gnome \
+    --disable-scrollkeeper || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  sed -i -e 's/^_//' "${pkgdir}/usr/share/applications/gtkam.desktop" || return 1
 }

Deleted: gtkam.install
===================================================================
--- gtkam.install	2009-05-28 22:07:25 UTC (rev 40218)
+++ gtkam.install	2009-05-28 22:10:06 UTC (rev 40219)
@@ -1,27 +0,0 @@
-# arg 1:  the new package version
-post_install() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-post_remove() {
-  scrollkeeper-update -p var/lib/scrollkeeper
-  /bin/true
-}
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list